curl --location 'https://api.flashcat.cloud/api/n9e-plus/datasource/upsert' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3NfdXVpZCI6IjM2ZTRjZjI3LWI4OWYtNDFlZS04ZDhmLWZiMjdhMmZlZGIzOSIsImF1dGhvcml6ZWQiOnRydWUsImV4cCI6MTc3NTExMTEyMywidXNlcl9pZGVudGl0eSI6IjEtcm9vdCJ9.IwPWDg92AjjvuUTGplaXgpexmOSsONx73M7Y7pOI_vE' \
--header 'X-User-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"settings": {
"gcm.auth_type": "string",
"gcm.default_project": "string",
"gcm.client_email": "string",
"gcm.token_uri": "string",
"gcm.private_key": "string",
"gcm.proxy": "string",
"gcm.timeout": 0,
"gcm.skip_tls_verify": true
},
"cluster_name": "string",
"description": "string",
"plugin_type": "string",
"status": "string",
"category": "string",
"plugin_id": 0,
"plugin_type_name": "string",
"id": 0
}'